Skip to main content
GET
/
admin
/
rate-limits
/
status
Get live rate-limit status
curl --request GET \
  --url https://{organization_id}.platform.barndoor.ai/api/llm-gateway/admin/rate-limits/status \
  --header 'Authorization: Bearer <token>'
[
  {
    "policy": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "Engineering RPM cap",
      "traffic_type": "all",
      "enabled": true,
      "scope_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "scope_value": "<string>",
      "requests_per_minute": 123,
      "tokens_per_minute": 123
    },
    "rpm_used": 123,
    "rpm_limit": 123,
    "rpm_percentage": 123,
    "tpm_used": 123,
    "tpm_limit": 123,
    "tpm_percentage": 123
  }
]

Authorizations

Authorization
string
header
required

JWT obtained through Barndoor's authentication flow. Pass the token verbatim in Authorization: Bearer <token>. Use the Barndoor SDK's loginInteractive() helper to obtain a token in scripts and notebooks.

Response

200 - application/json

Live policy usage

policy
object
rpm_used
integer
rpm_limit
integer
rpm_percentage
number
tpm_used
integer
tpm_limit
integer
tpm_percentage
number